import '../entities/approval.dart';
import '../repositories/approvals_repository.dart';

class GetPendingApprovals {
  final ApprovalsRepository _repository;

  GetPendingApprovals(this._repository);

  Future<List<Approval>> execute() {
    return _repository.getAll(status: 'pending');
  }
}
